RN开发run-android后遇到这个错误com.facebook.jni.CppException: Can't find variable: require 5C

图片说明

package.js文件

{
  "name": "zhuanbei",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "start": "node node_modules/react-native/local-cli/cli.js start",
    "test": "jest"
  },
  "dependencies": {
    "@ant-design/react-native": "^3.1.11",
    "@babel/preset-env": "^7.5.5",
    "@react-native-community/async-storage": "^1.5.0",
    "antd-mobile": "^2.2.14",
    "antd-mobile-rn": "^2.3.3",
    "babel-preset-react-app": "^9.0.0",
    "jsc-android": "^241213.1.0",
    "mobx": "^5.11.0",
    "mobx-react": "^6.1.1",
    "react": "16.8.6",
    "react-native": "^0.59.9",
    "react-native-deprecated-custom-components": "^0.1.2",
    "react-native-full-image-picker": "^1.2.11",
    "react-native-gesture-handler": "^1.3.0",
    "react-native-qrcode": "^0.2.7",
    "react-native-scrollable-tab-view": "^0.10.0",
    "react-native-shadow": "^1.2.2",
    "react-native-sms-verifycode": "^2.4.0",
    "react-native-splash-screen": "^3.2.0",
    "react-native-svg": "^9.5.3",
    "react-native-vector-icons": "^6.6.0",
    "react-native-view-shot": "^3.0.0",
    "react-navigation": "^3.11.0"
  },
  "devDependencies": {
    "@babel/core": "^7.4.5",
    "@babel/plugin-proposal-decorators": "^7.4.4",
    "@babel/runtime": "^7.4.5",
    "babel-jest": "^24.8.0",
    "babel-plugin-import": "^1.12.0",
    "jest": "^24.8.0",
    "metro-react-native-babel-preset": "^0.54.1",
    "react-test-renderer": "16.8.3"
  },
  "jest": {
    "preset": "react-native"
  }
}

这个问题要怎么解决呢

1个回答

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐